"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _minify = _interopRequireDefault(require("./visitors/minify"));

var _desugarStyled = _interopRequireDefault(require("./visitors/desugarStyled"));

var _displayNameAndId = _interopRequireDefault(require("./visitors/displayNameAndId"));

var _templateLiterals = _interopRequireDefault(require("./visitors/templateLiterals"));

var _assignStyledRequired = _interopRequireDefault(require("./visitors/assignStyledRequired"));

var _rewriteStyledImport = _interopRequireDefault(require("./visitors/rewriteStyledImport"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default(_ref) {
  var t = _ref.types;
  return {
    visitor: {
      ImportDeclaration(path, state) {
        (0, _rewriteStyledImport.default)(t)(path, state);
      },

      MemberExpression(path, state) {
        (0, _desugarStyled.default)(t)(path, state);
      },

      TaggedTemplateExpression(path, state) {
        (0, _minify.default)(t)(path, state);
        (0, _displayNameAndId.default)(t)(path, state);
        (0, _templateLiterals.default)(t)(path, state);
      },

      VariableDeclarator(path, state) {
        (0, _assignStyledRequired.default)(t)(path, state);
      }

    }
  };
}