"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _options = require("../utils/options");

/**
 * When using the babel plugin, we desugar styled.div to styled('div'), which means we can
 * then use a lighter-weight version of s-c (v4+) since those element names don't need to be kept around
 * ahead of time.
 */
var _default = function _default(t) {
  return function (path) {
    if ((0, _options.useNoTags)() && path.node.source.value === 'styled-components') {
      path.node.source = t.stringLiteral('styled-components/no-tags');
    }
  };
};

exports.default = _default;